# ------------
# QPACE / qrun
# ------------
#
# Global constants and variables
#
# $Id: defs.pm 3849 2011-02-03 12:39:20Z pleiter $
#---------------------------------------------------------------------------------------------------

package defs;

use File::Basename;
use Exporter;

@ISA    = qw(Exporter);
@EXPORT = qw();

# General global variables
use constant VERSION   => '0.17';

use constant BLUE      => 0;
use constant GREEN     => 1;
use constant RED       => 2;

use constant LOG_ERROR => 0;
use constant LOG_INFO  => 1;
use constant LOG_DEBUG => 2;

use constant REMOTE_DIR_BASE => "/tmp";

use constant POLL_TIMEOUT => 120;

push @EXPORT, qw(VERSION);
push @EXPORT, qw(BLUE GREEN RED);
push @EXPORT, qw(LOG_ERROR LOG_INFO LOG_DEBUG);
push @EXPORT, qw(REMOTE_DIR_BASE);
push @EXPORT, qw(POLL_TIMEOUT);

push @EXPORT, qw($opt_dry $opt_keyfile $opt_user $opt_v);
push @EXPORT, qw(%bcMap);

$opt_dry     = 0;
$opt_user    = undef;
$opt_keyfile = undef;
$opt_v       = LOG_ERROR;

%bcMap = (
	"r1" => 0,
	"r2" => 1,
	"r4" => 2,
);

1;
