# ------------
# QPACE / qrun
# ------------
#
# Torus network functions
#
# $Id: tnw.pm 3734 2010-07-15 00:09:54Z pleiter $
#---------------------------------------------------------------------------------------------------

package tnw;

use strict;

use remote;

my $torus_ctl = "/usr/local/bin/torus_ctl";


#---------------------------------------------------------------------------------------------------
# Initialise torus network
#---------------------------------------------------------------------------------------------------

sub init($)
{
  my ($partition) = @_;

  #remote::copy_to($partition, "$ENV{QRUNDIR}/files/torus_ctl", "/tmp/torus_ctl");

  if (remote::exec($partition, "$torus_ctl" .
                               " --nc0=" . $$partition->{nc0}->apos_str .
                               " --nc1=" . $$partition->{nc1}->apos_str .
                               " --bc="  . $$partition->{bc} .
                               " set-topo")) {
    die "Failed to set topology on all nodes\n";
  }
  if (remote::exec($partition, "$torus_ctl rst-phy")) {
    die "Failed to reset all PHYs\n";
  }
  if (remote::exec($partition, "$torus_ctl cfg-if")) {
    die "Failed to configure interface all PHYs\n";
  }
  if (remote::exec($partition, "$torus_ctl rst-lnk")) {
    die "Failed to reset all links\n";
  }
  if (remote::exec($partition, "$torus_ctl ro")) {
    die "Failed to remove off-line state for all links\n";
  }

  #remote::exec($partition, "rm -f /tmp/torus_ctl");
}


1;
